#include <iostream>

using namespace std;


int main()
{
    int n,k,x,a[100000],S=0;
    cin>>n>>k>>x;
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    if(x==2){
        int Smax;
        for(int i=0;i<n-k+1;i++){
            S=0;
            for(int j=k+i-3;j<=k+i-1;j++){
                S+=a[j];
            }
            Smax=S;
            for(int j=k+i-1;j>k+i-3;j--){
                S=S+a[j];
                if(S>Smax)
                    Smax=S;
            }
            cout<<Smax<<endl;
        }
    }
    return 0;
}